Subject: Re: FVWM: Transparency/Translucency revisited...

From: Olivier Chapuis <[email-masked]>
Date: Tue, 2 Sep 2003 11:28:05 +0200

On Sun, Aug 31, 2003 at 10:39:19PM +0200, Olivier Chapuis wrote:
> On Mon, Aug 25, 2003 at 09:00:32PM +0200, Dawid Kuroczko wrote:
> > Hello. :-)
> > 
> > I did manage to make pseudo-transparent menus, but now I'd like
> > to make something more "real".  What I'd like to do is to have
> > something like there is in KDE.
> > 
> > It should work like this:
> >  1. user clicks thus calling a Menu.
> >  2. current screen dump is taken (with all the windows, but
> >     without a menu just as yet).
> >  3. this screen dump is made available to Menu as
> >     root background pixmap.
> >  4. Menu is displayed with tinted real background.
> > 
> > This way it's pretty easy to make an illusion of real
> > transparency (and looks "l33t", as some may say).
> >
> 
> Here a new version of the patch for current cvs/snapshot.
> This patch add a new options to Colorset: Translucent/NoTranslucent.
> These options has effects only with (non tear-off) menu.
> Also menu animation is "handled".
> 
> For example with:
> 
>   Colorset 5 fg yellow, bg blue, HGradient 200 lightblue darkblue, \
> 	  Translucent blue 60
>   Style * MenuColorset 5, PopupOffset 0 100, AnimationOff
> 
> you get translucent menus (with a 60% blue tint) and if you tear-off
> a menu the menu use the gradient.
>

Moreover, it is a good idea to start the X server with BackingStore
enabled. With XFree86 4.x, BackingStore is disabled by default, to
enable BackingStore you should use the "+bs" option when you start your
X server.

Regards, Olivier

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].